%%% -*- coding: latin-1 -*-

%%% The  contents of this  file are  subject to  the Erlang  Public License,
%%% Version  1.1, (the  "License");  you may  not  use this  file except  in
%%% compliance  with the License.  You should  have received  a copy  of the
%%% Erlang  Public License  along  with this  software.  If not,  it can  be
%%% retrieved at http://plc.inf.elte.hu/erlang/
%%%
%%% Software  distributed under  the License  is distributed  on an  "AS IS"
%%% basis, WITHOUT  WARRANTY OF ANY  KIND, either expressed or  implied. See
%%% the License  for the specific language governing  rights and limitations
%%% under the License.
%%%
%%% The Original Code is RefactorErl.
%%%
%%% The Initial Developer of the  Original Code is Etvs Lornd University.
%%% Portions created  by Etvs  Lornd University are  Copyright 2009,
%%% Etvs Lornd University. All Rights Reserved.

%%% @author Viktoria Fordos <v@fviktoria.hu>
%% -*- mode: nitrogen -*-
-module (index).
-compile(export_all).
-include_lib("nitrogen/include/wf.hrl").
-vsn("$Rev: 6460 $ ").

%%% ============================================================================
%%% HTML output

main() -> #template { file=nitrogen_helper:get_nitrogen_site_dir()++
							   "/templates/loginpage.html" }.

title() -> "RefactorErl Queries".

body() ->
    #panel{ body=[
       form()
    ]}.

form() ->
	Form=[% Create a label
		  #label { text="Username" },
		  % Create a textbox
		  #textbox { id=usernameTextBox, next=loginButton },
		  % Create a button with a postback of 'login'
		  #button { id=loginButton, 
					text="Ok", 
					postback=login, 
					class=referl_button },
		  #p{}],
	% Validate the text is in the textbox
	wf:wire(loginButton, 
			usernameTextBox, 
			#validate { validators=[#is_required { text="Required." }]}),
	Form.

%%% ============================================================================
%%% Handlers for postback events	

event(login) ->
	User=wf:q(usernameTextBox),
	wf:session(username, User),
	wf:role(auth_users, true),
	wf:user(User),
	wf:redirect_from_login("/main").
